﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGWeightedSummaryCase
{
    public class ViewModel
    {        
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            Random r = new Random();
            for (int i = 1; i < 2; i++)
            {
                Data.Add(new SampleData()
                {
                    ID = i,                    
                    Random1 = r.Next(1000),
                    Random2 = r.Next(1000)
                });
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }        
        public int Random1 { get; set;}
        public int Random2 { get; set; }
    }
}
